Bug 498662 - Thinkpad Wireless (Atheros) does not work: can't ping gateway
Thinkpad Wireless (Atheros) does not work: can't ping gateway
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Michal Schmidt
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2009-05-01 14:39 EDT by Hubert Figuiere
Modified: 2010-06-28 08:19 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-28 08:19:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hubert Figuiere 2009-05-01 14:39:11 EDT
Here is the kernel I use:
Linux grinch.figuiere.net #1 SMP Fri Apr 24 10:56:23 EDT 2009 i686 i686 i386 GNU/Linux

Fedora 11 (10.92).

The hardware:

Thinkpad Z60t  (type 2511) with Thinkpad wireless.
13:00.0 Ethernet controller: Atheros Communications Inc. AR5212 802.11abg NIC (rev 01)

Driver is ath5k as provided in Fedora.

The network can associate with WPA, and obtain an IP address. Then I can't even pig the gateway.

$ ping
PING ( 56(84) bytes of data.
--- ping statistics ---
2 packets transmitted, 0 received, 100% packet loss, time 1941ms

Here is what dmesg says:
tg3: eth0: Link is down.
ADDRCONF(NETDEV_UP): wlan0: link is not ready
wlan0: direct probe to AP 00:0f:66:dc:fa:c6 try 1
wlan0 direct probe responded
wlan0: authenticate with AP 00:0f:66:dc:fa:c6
wlan0: authenticated
wlan0: associate with AP 00:0f:66:dc:fa:c6
wlan0: RX AssocResp from 00:0f:66:dc:fa:c6 (capab=0x411 status=0 aid=3)
wlan0: associated
ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
wlan0: no IPv6 routers present
ath5k phy0: noise floor calibration timeout (5745MHz)
wlan0: disassociating by local choice (reason=3)
wlan0: deauthenticating by local choice (reason=3)
tg3: eth0: Link is up at 100 Mbps, full duplex.

I don't know what else you need. Let me know.
Comment 1 Hubert Figuiere 2009-05-01 14:40:52 EDT
lspic -vvnn

13:00.0 Ethernet controller [0200]: Atheros Communications Inc. AR5212 802.11abg NIC [168c:1014] (rev 01)
	Subsystem: IBM ThinkPad 11a/b/g Wireless LAN Mini Express Adapter (AR5BXB6) [1014:058a]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at a7f00000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: ath5k
	Kernel modules: ath5k
Comment 2 John W. Linville 2009-05-01 14:56:21 EDT

*** This bug has been marked as a duplicate of bug 498502 ***
Comment 3 Hubert Figuiere 2009-05-01 15:00:48 EDT
(In reply to comment #2)
> *** This bug has been marked as a duplicate of 498502 ***  

I don't want to be picky but my problem is with an ath5k.
Comment 4 John W. Linville 2009-05-01 15:23:12 EDT
Comment 5 John W. Linville 2009-05-01 15:23:56 EDT
Is there an earlier kernel version where this was working?
Comment 6 Hubert Figuiere 2009-05-01 15:38:05 EDT
as far as I know, ath5k has never worked with it. This is my first Fedora install though. 

openSUSE 11.1 does not work either (that's what was just before I installed Fedora and the kernel was They made me try the compat-wireless on that kernel with no success.

Before ath5k I was forced to use MadWifi (and that was on Ubuntu, and for a while this laptop was only on wire as it was secondary).
Comment 7 John W. Linville 2009-05-01 16:00:01 EDT
OK -- I'm not sure what I can offer you right now.  You may want to try a rawhide (i.e. fc12) kernel?

Comment 8 Bug Zapper 2009-06-09 10:58:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 9 John W. Linville 2009-07-22 13:41:28 EDT
Closing optimistically based on lack of response from comment 7...
Comment 10 Hubert Figuiere 2009-07-23 23:56:45 EDT
The problem is that changing kernel means changing X as I understand the X driver are now highly dependent on this (I could be wrong though). All in all, I risk, in order to test that, to totally foobar my ONLY system. I'd rather have partial functionality than no functionality.

So no I have not tested. This is just closed following defeatism.

If you guarrantee that I don't have to touch the i915 X driver, I'll try it.

(maybe the resolution should be "INSUFFICIENT_HARDWARE"?)
Comment 11 Hubert Figuiere 2009-07-28 22:21:02 EDT
I installed it but bug 514386 prevent me from doing anything: NM does not seem to see it, etc. And the network does not seem to be up. I'll retry when bug 514386 is addressed.
Comment 12 Andy Cobaugh 2009-08-07 19:40:21 EDT
Seeing this on F11 on a Thinkpad t23 with a Cisco AIR-CB21AG-A-K9:

Aug  7 19:19:42 magrathea kernel: ath5k phy0: Atheros AR5213A chip found (MAC: 0x59, PHY: 0x43)
Aug  7 19:19:42 magrathea kernel: ath5k phy0: RF5112B multiband radio found (0x36)

Kernel: kernel-PAE-

With messages like these:

Aug  7 19:20:14 magrathea kernel: ath5k phy0: noise floor calibration timeout (5520MHz)
Aug  7 19:20:15 magrathea kernel: ath5k phy0: noise floor calibration timeout (5525MHz)
Aug  7 19:20:15 magrathea kernel: ath5k phy0: noise floor calibration timeout (5530MHz)

and the system becomes essentially unusable, using 100% CPU. Xorg display updates about once per second. The card seems to associate, but the system was so unusable that I didn't have a chance to even see if it was passing packets or not.
Comment 13 John W. Linville 2009-08-10 10:26:39 EDT
Andy, that sounds like something completely different -- please open a new bug instead of hijacking this one...thanks!
Comment 14 Hubert Figuiere 2009-11-07 13:25:02 EST
I need bug 533601 to be resolved first before being able to test this on F12
Comment 15 Hubert Figuiere 2009-11-17 00:25:46 EST
Seems to work with

bug 533601 is the proof that the kill switch is supported too (but not reported by NM)
Comment 16 Bug Zapper 2010-04-27 10:03:48 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 17 Bug Zapper 2010-06-28 08:19:32 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.